﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.Model
{
    public class GetShelfStatusResponse : ResponseBase
    {
        public List<Shelf> Data { get; set; }
    }

    public class Shelf
    {
        public int ShelfId { get; set; }

        /// <summary>
        /// 货架编码
        /// </summary>
        public string ShelfCode { get; set; }


        /// <summary>
        /// 货架当前模式
        /// </summary>
        public int CurentMode { get; set; }


        public string ModulesStr { get; set; }

        /// <summary>
        /// 货架组别
        /// </summary>
        public string GroupName { get; set; }
    }
}
