﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace WCS.Model.ApiModel.MatInventoryDetail
{
    public class MatInventorySummaryModel : INotifyPropertyChanged
    {
        public string MatCode { get; set; }

        public string MatName { get; set; }

        public string MatSpec { get; set; }

        public string MatBatch { get; set; }

        public string MatSupplier { get; set; }

        public string MatCustomer { get; set; }

        public int TotalQty { get; set; }


        public int needQty = 0;
        public int NeedQty
        {
            get { return needQty; }
            set
            {
                needQty = value;
                OnPropertyChanged(nameof(needQty));
            }
        }

        public string Info { get; set; }



        public bool IsSelected
        {
            get { return isSelected; }
            set
            {
                isSelected = value;
                OnPropertyChanged(nameof(IsSelected));
            }
        }
        public bool isSelected;

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
