﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace 货架标准上位机.Views.Controls
{
    /// <summary>
    /// ShelfStatusControl.xaml 的交互逻辑
    /// </summary>
    public partial class ScannerDisplayControl : UserControl
    {

        public ScannerDisplayControl(string COM)
        {
            InitializeComponent();
            txtCom.Text = COM;
        }

        public void RefreshValues(string shelfCode, string matSn)
        {
            Dispatcher.BeginInvoke(new Action(() =>
            {
                txtCurrentShelf.Text = shelfCode;
                txtCurrentMat.Text = matSn;
            }));
        }
    }
}
