﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.BLL.Config
{
    /// <summary>
    /// json配置文件
    /// </summary>
    public class JsConfig
    {
        public List<string>? ModuleCodePatterns { get; set; }

        /// <summary>
        /// 不同种类的物料分批次入库
        /// </summary>
        public bool IsSameMatCodeOut { get; set; }
        /// <summary>
        /// 数据-数据库路径
        /// </summary>
        public string DataDbPath { get; set; }
        /// <summary>
        /// 日志-数据库路径
        /// </summary>
        public string LogDbPath { get; set; }
        /// <summary>
        /// 权限-数据库路径
        /// </summary>
        public string AuthDbPath { get; set; }
        /// <summary>
        /// 是否接入WMS系统
        /// </summary>
        public bool IsAccessWMS { get; set; }
        /// <summary>
        /// WMS系统
        /// </summary>
        public string? WMSUrl { get; set; }

        public bool IsResetDBOrTable { get; set; }
        #region 盟讯公司后台配置
        public bool IsMx { get; set; }
        /// <summary>
        /// 回传Mes入库/移库
        /// </summary>
        public string InputStockInStr { get; set; }
        /// <summary>
        /// 回传Mes出库
        /// </summary>
        public string BunkerOutStr { get; set; }
        /// <summary>
        /// 通过条码查询物料信息接口
        /// </summary>
        public string QueryBybar { get; set; }
        /// <summary>
        /// 后台配置的组别
        /// </summary>
        public string GroupName { get; set; }
        #endregion
    }
}
