﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.BLL.HardWare
{
    public interface IModuleBase
    {
        /// <summary>
        /// 模组Id
        /// </summary>
        int ModuleId { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        bool IsEnable { get; set; }

        /// <summary>
        /// 当前模式
        /// </summary>
        Mode CurrentMode { get; set; }

        /// <summary>
        /// 设置当前模式
        /// </summary>
        void SetCurrentMode();
    }
}
