﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.MXBackgroundThread
{
    public class PickOrderRequest
    {
        public string orderProdNumber { get; set; }
        public string orderWorkNumber { get; set; }
        public string pickBillNumber { get; set; }
    }

    public class PickOrderResponse
    {
        /// <summary>
        /// 
        /// </summary>
        public int code { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string msg { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public List<PickOrder> data { get; set; }
    }
    public class PickOrder
    {
        public bool IsSelected { get; set; }
        public int id { get; set; }
        public string pickBillNumber { get; set; }
        public string relationPickNumber { get; set; }
        public string orderProdIds { get; set; }
        public string orderProdNumbers { get; set; }
        public string orderWorkIds { get; set; }
        public string orderWorkNumbers { get; set; }
        public string dictType { get; set; }
        public string dictTypeStr
        {
            get
            {
                switch (dictType)
                {
                    case "1":
                        return "生产领料";
                    default: return "其他";
                }
            }
        }
        public string dictStatus { get; set; }
        public string dictStatusStr
        {
            get
            {
                switch (dictStatus)
                {
                    case "15":
                        return "待领料";
                    case "10":
                        return "部分领料";
                    default: return dictStatus.ToString();
                }
            }
        }
        public string createdBy { get; set; }
        public string createdDt { get; set; }
        public string updatedBy { get; set; }
        public string updatedDt { get; set; }
    }
}
